menu_il:
  label: Inline Menu
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-il/menu-il.twig'
  description: Inline Menu
  libraries:
    - menu_il_lib:
        css:
          component:
            ../styles/menu-il.css: {}

  fields:
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview: my-menu
    pre_link:
      type: text
      label: Pre link content
      description: Pre link content
    post_link:
      type: text
      label: Post link content
      description: Post link content
    links:
      type: object
      label: Items
      preview:
        - lid: _1
          title: Stansted Express
          url: /
          icon:
        - lid: _2
          title: Transparency
          url: /
          icon:
        - lid: _3
          title: Privacy Policy
          url: /
          icon:
        - lid: _4
          title: Keeping you Safe and Secure
          url: /
          icon:
        - lid: _44
          title: <none>
          url: /
          icon:
        - lid: _5
          title: Subject Access Requests
          url: /
          icon:
        - lid: _6
          title: Terms & Conditions
          url: /
          icon:
        - lid: _7
          title: Sitemap
          url: /
          icon:
        - lid: _8
          title: Our safer travel pledge
          url: /
          icon:
        - lid: _9
          title: Book with Confidence
          url: /
          icon:

  settings:
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
    item_right_icon:
      type: textfield
      label: Item right icon
